<!--
/**
* Sea-Lab Ltd
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade to newer
* versions in the future.
*
* @category   Mygento
* @package    Mygento_Catresize
* @copyright  Copyright © 2012 Sea-Lab Ltd (http://www.mygento.ru)
* @contacts   connect@mygento.ru
* @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/ 
-->
<?php

class Mygento_Catresize_Helper_Data extends Mage_Core_Helper_Abstract {

    public function getResizedUrl($imgUrl, $x, $y = NULL) {
        if ($imgUrl == '') {
            return '';
        }
        $imgPath = $this->splitImageValue($imgUrl, "path");
        $imgName = $this->splitImageValue($imgUrl, "name");
        $imgPath = str_replace("/", DS, $imgPath);
        $imgPathFull = Mage::getBaseDir("media") . DS . $imgPath . DS . $imgName;
        $widht = $x;
        $y ? $height = $y : $height = $x;
        $resizeFolder = $widht . "X" . $height;
        $imageResizedPath = Mage::getBaseDir("media") . DS . $imgPath . DS . $resizeFolder . DS . $imgName;
        if (!file_exists($imageResizedPath) && file_exists($imgPathFull)) :
            $imageObj = new Varien_Image($imgPathFull);
            $imageObj->constrainOnly(TRUE);
            $imageObj->keepAspectRatio(TRUE);
            $imageObj->resize($widht, $height);
            $imageObj->save($imageResizedPath);
        endif;
        $imgUrl = str_replace(DS, "/", $imgPath);
        return Mage::getBaseUrl("media") . $imgUrl . "/" . $resizeFolder . "/" . $imgName;
    }

    public function splitImageValue($imageValue, $attr = "name") {
        $imArray = explode("/", $imageValue);
        $name = $imArray[count($imArray) - 1];
        $path = implode("/", array_diff($imArray, array($name)));
        if ($attr == "path") {
            return $path;
        }
        else
            return $name;
    }

}
